Bug 5054 - Command line switches don't support current locale
: Command line switches don't support current locale
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rdesktop)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-24 11:25 by
Modified: 2005-07-13 15:46 (History)


Attachments
Позволяет вводить в командной строке non-Latin1 имена пользователей (1.92 KB, patch)
2004-08-24 11:27, Alexey V. Novikov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-24 11:25:11
[novikov@novikov novikov]$ rpm -q rdesktop
rdesktop-1.3.1-alt2

Ключ -u кодирует/отправляет имя пользователя в Latin-1.
Ключ -p не оказывает видимого влияния.
------- Comment #1 From 2004-08-24 11:27:59 -------
Created an attachment (id=571) [details]
Позволяет вводить в командной строке non-Latin1 имена пользователей
------- Comment #2 From 2004-09-04 16:19:20 -------
applied in rdesktop-1.3.1-alt3 
------- Comment #3 From 2004-09-06 10:53:26 -------
Виталий, этот патч нормально работает только с
_однобайтовыми_ кодировками локали. С многобайтовыми
проблема с strlen. Но думаю, что это все-таки лучше,
чем только Latin-1.
------- Comment #4 From 2004-12-04 20:27:57 -------
сделано